# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::WaveletTransform::UpdateStepShift< shift > Class Template Reference

Class to do two-tap updating lifting step.

List of all members.

## Public Member Functions

- UpdateStepShift ()
    Constructor.
- void Filter (ValueType &in_val, const ValueType &val1, const ValueType &val2) const
    Do the filtering.

### template<int shift>
class dirac::WaveletTransform::UpdateStepShift< shift >

## Constructor & Destructor Documentation

template<int shift>

dirac::WaveletTransform::UpdateStepShift< shift >::UpdateStepShift | ( |  | ) | `[inline]`

## Member Function Documentation

template<int shift>

void dirac::WaveletTransform::UpdateStepShift< shift >::Filter | ( | ValueType & | in_val,
|  | const ValueType & | val1,
|  | const ValueType & | val2 |
| ) |  |  | const`[inline]`

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.